//
//  TSDiyTLPinkAnimalView.swift
//  AIEmoji
//
//  Created by 100Years on 2025/1/21.
//

class TSDiyTLPinkAnimalView: DiyPaperTemplateBaseView {
    
    override func initialTransform(at index: Int) -> DiyElementTransform {
        
        switch index {
        case 0:
            let size = CGSize(width: 396*kDiyDesignScaleW, height: 405*kDiyDesignScaleH)//图片 320*336
            return DiyElementTransform(size: size,position: CGPoint(x: self.centerX, y: 219 * kDiyDesignScaleH + size.height/2))
        case 1:
            let size = CGSize(width: 30 ,height: 20)
            return DiyElementTransform(size: .zero,position: CGPoint(x: self.centerX, y: 624 * kDiyDesignScaleH + size.height/2))
        default:
            let size = CGSize(width: 396*kDiyDesignScaleW, height: 405*kDiyDesignScaleH)//图片 320*336
            return DiyElementTransform(size: size,position: CGPoint(x: self.centerX, y: 219 * kDiyDesignScaleH + size.height/2))
        }
    }
    
    override func didFinishedInitialElement(_ element: DiyElement, at index: Int) {

    }
}
